https://checkout-test.adyen.com/v71/payments/{paymentPspReference}/reversalsRefunds a payment if it has already been captured, and cancels a payment if it has not yet been captured. Returns a unique reference for this request. You get the outcome of the request asynchronously, in a **CANCEL_OR_REFUND** webhook. The reversed amount is always the full payment amount. > Do not use this request for payments that involve multiple partial captures. For more information, refer to Reversal.
The [`pspReference`](https://docs.adyen.com/api-explorer/Checkout/latest/post/payments#responses-200-pspReference) of the payment that you want to reverse.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://checkout-test.adyen.com/v71/payments/{paymentPspReference}/reversals' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://checkout-test.adyen.com/v71/payments/{paymentPspReference}/reversalsRefunds a payment if it has already been captured, and cancels a payment if it has not yet been captured. Returns a unique reference for this request. You get the outcome of the request asynchronously, in a **CANCEL_OR_REFUND** webhook. The reversed amount is always the full payment amount. > Do not use this request for payments that involve multiple partial captures. For more information, refer to Reversal.
The [`pspReference`](https://docs.adyen.com/api-explorer/Checkout/latest/post/payments#responses-200-pspReference) of the payment that you want to reverse.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://checkout-test.adyen.com/v71/payments/{paymentPspReference}/reversals' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}